Skip to main content
POST
/
v1
/
domains
/
{domain}
/
diagnose
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use novu;

$sdk = novu\Novu::builder()
    ->setSecurity(
        'YOUR_SECRET_KEY_HERE'
    )
    ->build();



$response = $sdk->domains->diagnose(
    domain: 'alive-publication.biz'
);

if ($response->diagnoseDomainResponseDto !== null) {
    // handle response
}
{
  "ok": true,
  "runAt": "<string>",
  "checks": [
    {
      "latencyMs": 123
    }
  ],
  "issues": [
    {
      "message": "<string>",
      "fix": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

domain
string
required

Response

OK

ok
boolean
required

True when there are no error-severity issues

runAt
string
required

ISO timestamp when the diagnostic run finished

checks
object[]
required
issues
object[]
required